import UIKit
import IBMMobileFirstPlatformFoundation

class ViewController: UIViewController {
    @IBOutlet private var statusText: UILabel!
    private var wlClient: WLClient!

    override func viewDidLoad() {
        super.viewDidLoad()
        
        wlClient = WLClient.sharedInstance()
        mfConnect()
    }

    func mfConnect() {
        WLAuthorizationManager.sharedInstance()?.obtainAccessToken(forScope: "", withCompletionHandler: accessTokenHandler)
    }

    func changeStatusText(_ message: String) {
        self.statusText.text = message
    }
    
    func accessTokenHandler(token : AccessToken?, error: Error?) {
        if error == nil {
            changeStatusText("Connected to MobileFirst Server")
        } else {
            changeStatusText("Failed to connect to MobileFirst Server")
        }
    }

}

