package com.ibm.mfpstarterandroid;

import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import com.worklight.wlclient.api.*;
import com.worklight.wlclient.auth.AccessToken;

public class MainApplication extends AppCompatActivity {

    private WLClient client;    

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.content_main);

        client = WLClient.createInstance(this);

        mfConnect();
    }
    
    private void mfConnect() {
        WLAuthorizationManager.getInstance().obtainAccessToken(null, new ConnectListener());
    }

    /* Sample placeholder listeners.  Replace with your own listeners and handling logic */
    class BaseListener {
        private android.widget.TextView connectionStatusLabel;

        protected void changeStatusMessage(final String text) {
            if (connectionStatusLabel == null) {
                connectionStatusLabel = (android.widget.TextView) findViewById(R.id.connection_status_id);
            }
            runOnUiThread(new Runnable() {
                @Override
                public void run() {
                    connectionStatusLabel.setText(text);
                }
            });
        }
    }

    class ConnectListener extends BaseListener implements WLAccessTokenListener {
        @Override
        public void onSuccess(AccessToken token) {
            System.out.println("Received the following access token value: " + token);
            changeStatusMessage("Connected to MobileFirst Server");
        }
        @Override
        public void onFailure(WLFailResponse wlFailResponse) {
            System.out.println("Did not receive an access token from server: " + wlFailResponse.getErrorMsg());
            changeStatusMessage("Failed to connect to MobileFirst Server");
        } 
    }
}