/*
	Licensed Material - Property of IBM

	(C) Copyright 2015, 2016 IBM Corp.

	Unless required by applicable law or agreed to in writing, software
	distributed under the License is distributed on an "AS IS" BASIS,
	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	See the License for the specific language governing permissions and
	limitations under the License.
*/


'use strict';

var log = require('npmlog');
var Q = require('q');
var utils = require('./requestUtils');

var moduleName = 'apiConnector';

module.exports.configureApiConnector = function(appJson, serverInfo) {
  var deferred = Q.defer();   

  if (appJson.backendServices) {
    const options = {
      path : '/mfpadmin/management-apis/2.0/runtimes/mfp/backend-services-config',
      method : 'POST'
    }  
    utils.sendRequest(serverInfo, options, { "backendServices": appJson.backendServices }).then(function () {
      deferred.resolve();                      
    }).catch(function (err) {
      log.silly(moduleName, `Failed to configure backend services. Reason : ${err}`);
      deferred.resolve(); 
    }); 
  } else {
    deferred.resolve();
  }   

  return deferred.promise;
}
